---
title: "New Mexico Payday Laws & Wage Payment Requirements (2026 Legal Audit)"
source_url: "https://statepayrules.com/payday-laws/new-mexico/"
canonical_url: "https://statepayrules.com/payday-laws/new-mexico/"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "Complete statutory guide to New Mexico payday frequencies, paystub itemization rules, late pay penalty interest, and final paycheck deadlines under NMSA 1978 § 50-4-22."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://statepayrules.com/payday-laws/new-mexico/](https://statepayrules.com/payday-laws/new-mexico/)
>
> *Complete statutory guide to New Mexico payday frequencies, paystub itemization rules, late pay penalty interest, and final paycheck deadlines under NMSA 1978 § 50-4-22.*

### Managing payroll or shift workers in New Mexico?

Avoid Department of Labor non-compliance fines. Automate state-specific overtime, double-time rules, tip credits, and statutory tax withholdings with **Gusto Payroll Automation**.

## Payday Frequency Mandates in New Mexico

In New Mexico, employers must establish regular, predictable paydays for all non-exempt hourly employees. Under NMSA 1978 § 50-4-22, pay frequency cannot be unilaterally changed or delayed without prior notice.

### Standard Pay Frequencies

Weekly, Bi-weekly, or Semi-monthly pay schedules are standard for hourly workers.

### Paystub Disclosure Requirements

Must list gross wages, itemized deductions, net pay, hours worked, and hourly rates.

## Final Paycheck Deadlines & Waiting Time Penalties

When an employment relationship ends in New Mexico, state law governs when final wages (including earned vacation/PTO where applicable) must be paid:

- ✓ **Involuntary Termination (Discharged / Fired):** Employer must deliver all earned wages promptly per state statutory deadlines.
- ✓ **Voluntary Resignation (Quit):** Final paycheck is generally due on the next regular payday or within statutory notice windows.
- ⚠️ **Late Pay Penalties:** Failure to pay final wages on time exposes employers to statutory waiting time penalties and interest under NMSA 1978 § 50-4-22.

| Termination Type | Statutory Paycheck Deadline | Statute Reference |
| :--- | :--- | :--- |
| Involuntary (Fired/Laid Off) | Immediate or next business day | NMSA 1978 § 50-4-22 |
| Voluntary (Resigned/Quit) | Next regular payday | NMSA 1978 § 50-4-22 |

## Common New Mexico Payday Compliance Traps

- Failing to track paid sick leave accrual.
- Higher municipal rates in Santa Fe and Albuquerque.
- Tip credit shortfalls.

### Help New Mexico Coworkers Audit Unpaid Wage Violations

Over $3 Billion in statutory overtime, daily premiums, and meal break penalty pay goes uncollected every year. Share this free statutory utility with your team or shift coworkers.

### Statutory Summary

New Mexico statutory minimum wage is $12.00/hr ($3.00 tipped direct rate). Healthy Workplaces Act paid sick leave applies.

### Audit Your New Mexico Paystub

Calculate overtime, daily premiums, and regular rates for New Mexico.

## Audit Your New Mexico Paystub Under NM State Law

Over $3 Billion in unpaid overtime & statutory wage violations go uncollected every year. Audit your 2026 New Mexico daily overtime, FLSA 40-hour rates, tip credits, and meal break penalties in seconds.

### Statutory Compliance Internal Mesh

#### New Mexico Statutory Guides

- [New Mexico Payday Laws →](https://statepayrules.com/payday-laws/new-mexico)
- [New Mexico Meal & Rest Breaks →](https://statepayrules.com/break-laws/new-mexico)
- [New Mexico Salaried Exempt Rules →](https://statepayrules.com/salaried-exempt/new-mexico)
- [New Mexico Payroll Tax Rates →](https://statepayrules.com/payroll-taxes/new-mexico)

#### Compare New Mexico Pay Rules

- [New Mexico vs Texas →](https://statepayrules.com/calculator/compare/new-mexico-vs-texas)
- [New Mexico vs Arizona →](https://statepayrules.com/calculator/compare/new-mexico-vs-arizona)
- [New Mexico vs Colorado →](https://statepayrules.com/calculator/compare/new-mexico-vs-colorado)

#### New Mexico Profession Tools

- [New Mexico Registered Nurse →](https://statepayrules.com/calculator/new-mexico/registered-nurse)
- [New Mexico Fast Food & Counter Worker →](https://statepayrules.com/calculator/new-mexico/fast-food-worker)
- [New Mexico Construction Laborer →](https://statepayrules.com/calculator/new-mexico/construction-laborer)
- [New Mexico Electrician →](https://statepayrules.com/calculator/new-mexico/electrician)

#### Davis-Bacon Prevailing Wages

- [LA County Prevailing Wage →](https://statepayrules.com/prevailing-wage/california/los-angeles-county)
- [Harris County TX Wage →](https://statepayrules.com/prevailing-wage/texas/harris-county)
- [Cook County IL Wage →](https://statepayrules.com/prevailing-wage/illinois/cook-county)

## Structured FAQ Summary (Schema.org Grounded)
- **What is the minimum wage in New Mexico for 2026?** The 2026 statutory minimum wage in New Mexico is $12.00 per hour under NMSA 1978 § 50-4-22.
- **Does New Mexico require daily overtime pay?** New Mexico does not require daily overtime. Overtime is calculated weekly for hours exceeding 40 hours under FLSA 29 U.S.C. § 207.
- **Are employers in New Mexico allowed to take a tip credit?** Yes, New Mexico allows employers to take a maximum tip credit of $9.00/hr against tipped workers, requiring a minimum direct cash wage of $12.00/hr.
- **How often must employers pay employees in New Mexico?** Under NMSA 1978 § 50-4-22, employers in New Mexico must pay non-exempt hourly employees on regular scheduled paydays (typically weekly, bi-weekly, or semi-monthly).
- **When must final paychecks be paid upon termination in New Mexico?** In New Mexico, final wages for discharged employees must be delivered promptly per state labor statutes (NMSA 1978 § 50-4-22) to avoid statutory waiting time penalties.

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://statepayrules.com/payday-laws/new-mexico/](https://statepayrules.com/payday-laws/new-mexico/).
